Update a company

Given an ID and a request object with new information, updates a company.

Getting a company and its owner to active status

If you created a company using the
create a company endpoint without all the required
request body parameters, you can use this endpoint to provide the missing data. Once the company
and its owner have all the necessary data, both their statuses will be set to active and the company
onboarding will be marked as "completed".

The following constitutes a company with "all the necessary data":

  • Complete address, with valid address, postal_code, country and state parameters (Varies by country. Use the
    show form schema endpoint to see which address parameters
    are required).
  • Company tax_number or registration_number is not nil
  • Company name is not nil (already required when creating the company)
  • Company has a desired_currency in their bank account (already required when creating the company)
  • Company has accepted terms of service (already required when creating the company)

Scopes

CategoryRead only ScopeWrite only Scope (read access implicit)
Manage companies (company_management)-Manage companies (company:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Company ID

Query Params
≥ 1

Version of the address_details form schema


Specific version number

≥ 1

Version of the bank_account_details form schema


Specific version number

Body Params

Update Company params

address_details
object

Fields can vary depending on the country. Please, check the required fields structure using the Show form schema endpoint.
Use the desired country and address_details as the form name for the placeholders.
The response complies with the JSON Schema specification.

bank_account_details
object

Fields can vary depending on the country. Please, check the required fields structure using the Show form schema endpoint.
Use the desired country and bank_account_details as the form name for the placeholders.
The response complies with the JSON Schema specification.

string

Country of company address

string
enum

Desired currency for invoicing and displaying converted salaries in Remote UI regardless of the employee's country.

This field is only accepted if company is in status pending. Please contact Remote if you wish to update it.

string

This field is only accepted if company is in status pending. Please contact Remote if you wish to update it.

string

A phone number the company can be contacted with.

string

The company registration number. This field or tax_number (but not both) should be submitted.

This field is only accepted if company is in status pending.

string

The tax identifier of the company. This field or registration_number (but not both) should be submitted.

This field is only accepted if company is in status pending.

Responses

Callback
Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json